Subject: Re: bug#25521: 26.0.50; After (make-frame '((name . "foo"))) (select-frame-by-name "foo") doesn't see the frame

From: Eli Zaretskii <[email-masked]>
Date: Fri, 01 Sep 2017 09:56:29 +0300

> From: [email-masked]
> Cc: Eli Zaretskii <[email-masked]>,  [email-masked],  [email-masked]
> Date: Thu, 31 Aug 2017 23:13:50 -0400
> 
> Hmm, I thought I could get away with using an existing hook.  But
> looking at all the places where x_make_frame_visible is called, I'm
> feeling reluctant to introduce lisp evaluation into them.  I think we
> should go with Eli's idea, bring back the busy wait but add a timeout.

This needs a NEWS entry about the new variable, I think.

Please push in a few days if no one objects, and thanks.